---
layout: ~/layouts/MainLayout.astro
title: Быстрый старт
---

```shell
# Заметка: проверьте, что у вас установлена Node.js версии  12.20.0+, 14.13.1+, или 16+
node --version

# Создайте новую директорию и перейдите в неё
mkdir my-astro-project && cd $_

# подготовка к запуску...
npm init astro

# установка зависимостей
npm install

# начинаем разработку!
npm run dev

# когда все готово: запустите сборку вашего статического сайта в директорию `dist/`
npm run build
```

Чтобы узнать больше об установке и использовании Astro, пожалуйста, [прочитайте нашу инструкцию по установке.](installation)

Если вы предпочитаете обучаться по примерам, обратите внимание на [нашу библиотеку примеров](https://github.com/snowpackjs/astro/tree/main/examples) на GitHub. Вы можете развернуть любой из примеров локально, запустив команду `npm init astro -- --template "EXAMPLE_NAME"`.

## Запуск вашего проекта

Находясь в директории проекта запустите команду ниже в терминале:

```bash
npm run dev
```

Astro запустит сервер для разработки по адресу [http://localhost:3000](http://localhost:3000). При открытии этого URL в вашем браузере, вы должны увидеть "Hello, World" от Astro.

Сервер будет следить за изменениями в директории `src/`, значит вам не нужно будет перезапускать сервер каждый раз после внесения изменений.

## Сборка проекта

Чтобы собрать ваш проект, находясь в директории проекта, введите и запустите следующую команду в терминале:

```bash
npm run build
```

Эта команда запустит процесс сборки и сохранит собранный сайт на диск. После выполнения ваш сайт будет находиться в директории `dist/`.

## Деплой вашего сайта

Сайты, созданные с помощью Astro, являются статичными. Это значит, что они могут быть размещены на любом из хостингов, который вы предпочитаете:

- [AWS S3 bucket](https://aws.amazon.com/s3/)
- [Google Firebase](https://firebase.google.com/)
- [Netlify](https://www.netlify.com/)
- [Vercel](https://vercel.com/)
- [Читайте больше о деплое сайтов, собранных с помощью Astro, в нашем руководстве по деплою.](/guides/deploy)

## Следующие шаги

Ура! Теперь вы готовы к разработке!

Мы рекомендуем вам потратить немного времени, чтобы познакомиться с работой Astro ближе. Вы можете сделать это с помощью дальнейшего ознакомления с документацией. Мы советуем изучить следующие материалы:

📚 Узнать больше [о структуре проектов Astro.](/core-concepts/project-structure)

📚 Узнать больше [о синтаксисе компонентов Astro.](/core-concepts/astro-components)

📚 Узнать больше [о роутинге, основанном на файловой структуре.](core-concepts/astro-pages)
